tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1950216 kB, VmSize: 1950216 kB, VmRSS: 316016 kB, VmData: 402168 kB, Mmaps: 1734, Mmaps: 1950216 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1951516 kB, VmSize: 1951516 kB, VmRSS: 317460 kB, VmData: 403468 kB, Mmaps: 1734, Mmaps: 1951516 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1951516 kB, VmSize: 1951020 kB, VmRSS: 317436 kB, VmData: 403212 kB, Mmaps: 1722, Mmaps: 1951020 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00091600000000014
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.31; loadPixelBoxStartUserTime=1.88334; loadPixelBoxStartSystemTime=0.43998499999999996; loadPixelBoxStartMaxResidentSetSize=317724; loadPixelBoxStartMinorPageFaults=89320; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=96; loadPixelBoxStartBlockOutputs=48; loadPixelBoxStartVoluntaryContextSwitches=300; loadPixelBoxStartInvoluntaryContextSwitches=155994
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.31; loadSkyCircleStartUserTime=1.884075; loadSkyCircleStartSystemTime=0.43998499999999996; loadSkyCircleStartMaxResidentSetSize=317724; loadSkyCircleStartMinorPageFaults=89330; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=96; loadSkyCircleStartBlockOutputs=56; loadSkyCircleStartVoluntaryContextSwitches=300; loadSkyCircleStartInvoluntaryContextSwitches=155994
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.31; _readIndexFilesStartUserTime=1.884358; _readIndexFilesStartSystemTime=0.439986; _readIndexFilesStartMaxResidentSetSize=317724; _readIndexFilesStartMinorPageFaults=89330; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=56; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155994
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.32; _readIndexFilesEndUserTime=1.884507; _readIndexFilesEndSystemTime=0.440021; _readIndexFilesEndMaxResidentSetSize=317724; _readIndexFilesEndMinorPageFaults=89332; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=56; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155994
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.32; loadSkyCircleEndUserTime=1.887392; loadSkyCircleEndSystemTime=0.440021; loadSkyCircleEndMaxResidentSetSize=317724; loadSkyCircleEndMinorPageFaults=89600; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=96; loadSkyCircleEndBlockOutputs=56; loadSkyCircleEndVoluntaryContextSwitches=300; loadSkyCircleEndInvoluntaryContextSwitches=155994
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.33; loadPixelBoxEndUserTime=1.893974; loadPixelBoxEndSystemTime=0.440021; loadPixelBoxEndMaxResidentSetSize=317724; loadPixelBoxEndMinorPageFaults=89631; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=96; loadPixelBoxEndBlockOutputs=56; loadPixelBoxEndVoluntaryContextSwitches=300; loadPixelBoxEndInvoluntaryContextSwitches=155994
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/17812/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+2/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/17812/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.7; _readIndexFilesStartUserTime=2.263569; _readIndexFilesStartSystemTime=0.449281; _readIndexFilesStartMaxResidentSetSize=320052; _readIndexFilesStartMinorPageFaults=91715; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=64; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155995
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.7; _readIndexFilesEndUserTime=2.268336; _readIndexFilesEndSystemTime=0.449281; _readIndexFilesEndMaxResidentSetSize=320064; _readIndexFilesEndMinorPageFaults=91723; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=64; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155995
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1953268 kB, VmSize: 1953268 kB, VmRSS: 320064 kB, VmData: 405088 kB, Mmaps: 1739, Mmaps: 1953268 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1953780 kB, VmSize: 1953524 kB, VmRSS: 320116 kB, VmData: 405344 kB, Mmaps: 1740, Mmaps: 1953524 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1953780 kB, VmSize: 1953408 kB, VmRSS: 320356 kB, VmData: 405600 kB, Mmaps: 1721, Mmaps: 1953408 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00098500000000001
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.74; loadPixelBoxStartUserTime=2.2909509999999997; loadPixelBoxStartSystemTime=0.45738199999999996; loadPixelBoxStartMaxResidentSetSize=320468; loadPixelBoxStartMinorPageFaults=91943; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=96; loadPixelBoxStartBlockOutputs=72; loadPixelBoxStartVoluntaryContextSwitches=300; loadPixelBoxStartInvoluntaryContextSwitches=155995
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.74; loadSkyCircleStartUserTime=2.291626; loadSkyCircleStartSystemTime=0.45738199999999996; loadSkyCircleStartMaxResidentSetSize=320468; loadSkyCircleStartMinorPageFaults=91943; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=96; loadSkyCircleStartBlockOutputs=72; loadSkyCircleStartVoluntaryContextSwitches=300; loadSkyCircleStartInvoluntaryContextSwitches=155995
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.74; _readIndexFilesStartUserTime=2.291905; _readIndexFilesStartSystemTime=0.45738199999999996; _readIndexFilesStartMaxResidentSetSize=320468; _readIndexFilesStartMinorPageFaults=91943; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=72; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155995
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.74; _readIndexFilesEndUserTime=2.292076; _readIndexFilesEndSystemTime=0.457405; _readIndexFilesEndMaxResidentSetSize=320468; _readIndexFilesEndMinorPageFaults=91943; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=80; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155995
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.74; loadSkyCircleEndUserTime=2.296676; loadSkyCircleEndSystemTime=0.457405; loadSkyCircleEndMaxResidentSetSize=320468; loadSkyCircleEndMinorPageFaults=92176; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=96; loadSkyCircleEndBlockOutputs=80; loadSkyCircleEndVoluntaryContextSwitches=300; loadSkyCircleEndInvoluntaryContextSwitches=155995
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.75; loadPixelBoxEndUserTime=2.3028079999999997; loadPixelBoxEndSystemTime=0.457405; loadPixelBoxEndMaxResidentSetSize=320468; loadPixelBoxEndMinorPageFaults=92176; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=96; loadPixelBoxEndBlockOutputs=80; loadPixelBoxEndVoluntaryContextSwitches=300; loadPixelBoxEndInvoluntaryContextSwitches=155995
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.13; _readIndexFilesStartUserTime=2.675971; _readIndexFilesStartSystemTime=0.46179099999999995; _readIndexFilesStartMaxResidentSetSize=323396; _readIndexFilesStartMinorPageFaults=94074; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=80; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.13; _readIndexFilesEndUserTime=2.679531; _readIndexFilesEndSystemTime=0.461883; _readIndexFilesEndMaxResidentSetSize=323404; _readIndexFilesEndMinorPageFaults=94080; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=80; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155996
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956488 kB, VmSize: 1956488 kB, VmRSS: 323404 kB, VmData: 408432 kB, Mmaps: 1735, Mmaps: 1956488 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956744 kB, VmSize: 1956744 kB, VmRSS: 323408 kB, VmData: 408688 kB, Mmaps: 1734, Mmaps: 1956744 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956744 kB, VmSize: 1956496 kB, VmRSS: 323652 kB, VmData: 408688 kB, Mmaps: 1721, Mmaps: 1956496 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00076000000000009
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.16; loadPixelBoxStartUserTime=2.704428; loadPixelBoxStartSystemTime=0.466871; loadPixelBoxStartMaxResidentSetSize=323756; loadPixelBoxStartMinorPageFaults=94170; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=96; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=300; loadPixelBoxStartInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.16; loadSkyCircleStartUserTime=2.705111; loadSkyCircleStartSystemTime=0.466871; loadSkyCircleStartMaxResidentSetSize=323756; loadSkyCircleStartMinorPageFaults=94170; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=96; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=300; loadSkyCircleStartInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.16; _readIndexFilesStartUserTime=2.705407; _readIndexFilesStartSystemTime=0.466871; _readIndexFilesStartMaxResidentSetSize=323756; _readIndexFilesStartMinorPageFaults=94170; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.16; _readIndexFilesEndUserTime=2.705561; _readIndexFilesEndSystemTime=0.466893; _readIndexFilesEndMaxResidentSetSize=323756; _readIndexFilesEndMinorPageFaults=94170; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.16; loadSkyCircleEndUserTime=2.708545; loadSkyCircleEndSystemTime=0.466893; loadSkyCircleEndMaxResidentSetSize=323756; loadSkyCircleEndMinorPageFaults=94375; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=96; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=300; loadSkyCircleEndInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.17; loadPixelBoxEndUserTime=2.714801; loadPixelBoxEndSystemTime=0.466893; loadPixelBoxEndMaxResidentSetSize=323756; loadPixelBoxEndMinorPageFaults=94375; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=96; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=300; loadPixelBoxEndInvoluntaryContextSwitches=155996
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.55; _readIndexFilesStartUserTime=3.086274; _readIndexFilesStartSystemTime=0.471402; _readIndexFilesStartMaxResidentSetSize=323756; _readIndexFilesStartMinorPageFaults=95631; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.55; _readIndexFilesEndUserTime=3.089565; _readIndexFilesEndSystemTime=0.471443; _readIndexFilesEndMaxResidentSetSize=323756; _readIndexFilesEndMinorPageFaults=95637; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155996
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956912 kB, VmSize: 1956744 kB, VmRSS: 323660 kB, VmData: 408688 kB, Mmaps: 1734, Mmaps: 1956744 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956912 kB, VmSize: 1956744 kB, VmRSS: 323660 kB, VmData: 408688 kB, Mmaps: 1734, Mmaps: 1956744 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956912 kB, VmSize: 1956496 kB, VmRSS: 323652 kB, VmData: 408688 kB, Mmaps: 1721, Mmaps: 1956496 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00076199999999993
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.58; loadPixelBoxStartUserTime=3.119374; loadPixelBoxStartSystemTime=0.47248199999999996; loadPixelBoxStartMaxResidentSetSize=323756; loadPixelBoxStartMinorPageFaults=95661; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=96; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=300; loadPixelBoxStartInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.58; loadSkyCircleStartUserTime=3.119962; loadSkyCircleStartSystemTime=0.47248199999999996; loadSkyCircleStartMaxResidentSetSize=323756; loadSkyCircleStartMinorPageFaults=95661; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=96; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=300; loadSkyCircleStartInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.59; _readIndexFilesStartUserTime=3.120394; _readIndexFilesStartSystemTime=0.47248199999999996; _readIndexFilesStartMaxResidentSetSize=323756; _readIndexFilesStartMinorPageFaults=95661; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.59; _readIndexFilesEndUserTime=3.120558; _readIndexFilesEndSystemTime=0.47248199999999996; _readIndexFilesEndMaxResidentSetSize=323756; _readIndexFilesEndMinorPageFaults=95661; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=112; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.59; loadSkyCircleEndUserTime=3.122704; loadSkyCircleEndSystemTime=0.473442; loadSkyCircleEndMaxResidentSetSize=323756; loadSkyCircleEndMinorPageFaults=95866; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=96; loadSkyCircleEndBlockOutputs=112; loadSkyCircleEndVoluntaryContextSwitches=300; loadSkyCircleEndInvoluntaryContextSwitches=155996
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.59; loadPixelBoxEndUserTime=3.128911; loadPixelBoxEndSystemTime=0.47346699999999997; loadPixelBoxEndMaxResidentSetSize=323756; loadPixelBoxEndMinorPageFaults=95866; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=96; loadPixelBoxEndBlockOutputs=112; loadPixelBoxEndVoluntaryContextSwitches=300; loadPixelBoxEndInvoluntaryContextSwitches=155996
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.97; _readIndexFilesStartUserTime=3.501505; _readIndexFilesStartSystemTime=0.479079; _readIndexFilesStartMaxResidentSetSize=323756; _readIndexFilesStartMinorPageFaults=97122; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155997
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.97; _readIndexFilesEndUserTime=3.506228; _readIndexFilesEndSystemTime=0.479174; _readIndexFilesEndMaxResidentSetSize=323756; _readIndexFilesEndMinorPageFaults=97130; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155997
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1956912 kB, VmSize: 1956868 kB, VmRSS: 323664 kB, VmData: 408688 kB, Mmaps: 1740, Mmaps: 1956868 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1956912 kB, VmSize: 1956868 kB, VmRSS: 323664 kB, VmData: 408688 kB, Mmaps: 1740, Mmaps: 1956868 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1956912 kB, VmSize: 1956496 kB, VmRSS: 323652 kB, VmData: 408688 kB, Mmaps: 1721, Mmaps: 1956496 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00077700000000025
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.0; loadPixelBoxStartUserTime=3.529769; loadPixelBoxStartSystemTime=0.485129; loadPixelBoxStartMaxResidentSetSize=323760; loadPixelBoxStartMinorPageFaults=97154; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=96; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=300; loadPixelBoxStartInvoluntaryContextSwitches=155997
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.01; loadSkyCircleStartUserTime=3.530444; loadSkyCircleStartSystemTime=0.485129; loadSkyCircleStartMaxResidentSetSize=323760; loadSkyCircleStartMinorPageFaults=97154; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=96; loadSkyCircleStartBlockOutputs=128; loadSkyCircleStartVoluntaryContextSwitches=300; loadSkyCircleStartInvoluntaryContextSwitches=155997
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.01; _readIndexFilesStartUserTime=3.53075; _readIndexFilesStartSystemTime=0.485129; _readIndexFilesStartMaxResidentSetSize=323760; _readIndexFilesStartMinorPageFaults=97154; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=128; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155997
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.01; _readIndexFilesEndUserTime=3.530908; _readIndexFilesEndSystemTime=0.485147; _readIndexFilesEndMaxResidentSetSize=323760; _readIndexFilesEndMinorPageFaults=97154; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=128; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155997
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.01; loadSkyCircleEndUserTime=3.534283; loadSkyCircleEndSystemTime=0.486203; loadSkyCircleEndMaxResidentSetSize=323760; loadSkyCircleEndMinorPageFaults=97387; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=96; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=300; loadSkyCircleEndInvoluntaryContextSwitches=155997
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.02; loadPixelBoxEndUserTime=3.540304; loadPixelBoxEndSystemTime=0.486203; loadPixelBoxEndMaxResidentSetSize=323760; loadPixelBoxEndMinorPageFaults=97387; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=96; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=300; loadPixelBoxEndInvoluntaryContextSwitches=155997
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.39; _readIndexFilesStartUserTime=3.907777; _readIndexFilesStartSystemTime=0.492872; _readIndexFilesStartMaxResidentSetSize=323760; _readIndexFilesStartMinorPageFaults=98643; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155998
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.39; _readIndexFilesEndUserTime=3.909333; _readIndexFilesEndSystemTime=0.493948; _readIndexFilesEndMaxResidentSetSize=323760; _readIndexFilesEndMinorPageFaults=98649; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155998
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1957036 kB, VmSize: 1956736 kB, VmRSS: 323660 kB, VmData: 408688 kB, Mmaps: 1734, Mmaps: 1956736 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1957036 kB, VmSize: 1956736 kB, VmRSS: 323660 kB, VmData: 408688 kB, Mmaps: 1734, Mmaps: 1956736 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1957036 kB, VmSize: 1956496 kB, VmRSS: 323652 kB, VmData: 408688 kB, Mmaps: 1721, Mmaps: 1956496 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00074299999999994
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.46; loadPixelBoxStartUserTime=3.971283; loadPixelBoxStartSystemTime=0.49892499999999995; loadPixelBoxStartMaxResidentSetSize=323760; loadPixelBoxStartMinorPageFaults=100960; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=96; loadPixelBoxStartBlockOutputs=144; loadPixelBoxStartVoluntaryContextSwitches=300; loadPixelBoxStartInvoluntaryContextSwitches=155998
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.46; loadSkyCircleStartUserTime=3.971967; loadSkyCircleStartSystemTime=0.49892499999999995; loadSkyCircleStartMaxResidentSetSize=323760; loadSkyCircleStartMinorPageFaults=100960; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=96; loadSkyCircleStartBlockOutputs=144; loadSkyCircleStartVoluntaryContextSwitches=300; loadSkyCircleStartInvoluntaryContextSwitches=155998
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.46; _readIndexFilesStartUserTime=3.97228; _readIndexFilesStartSystemTime=0.49892499999999995; _readIndexFilesStartMaxResidentSetSize=323760; _readIndexFilesStartMinorPageFaults=100960; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155998
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.46; _readIndexFilesEndUserTime=3.9724399999999997; _readIndexFilesEndSystemTime=0.498944; _readIndexFilesEndMaxResidentSetSize=323760; _readIndexFilesEndMinorPageFaults=100960; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155998
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.46; loadSkyCircleEndUserTime=3.975352; loadSkyCircleEndSystemTime=0.498944; loadSkyCircleEndMaxResidentSetSize=323760; loadSkyCircleEndMinorPageFaults=101189; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=96; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=300; loadSkyCircleEndInvoluntaryContextSwitches=155998
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.47; loadPixelBoxEndUserTime=3.981692; loadPixelBoxEndSystemTime=0.498944; loadPixelBoxEndMaxResidentSetSize=323760; loadPixelBoxEndMinorPageFaults=101189; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=96; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=300; loadPixelBoxEndInvoluntaryContextSwitches=155998
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.85; _readIndexFilesStartUserTime=4.357513; _readIndexFilesStartSystemTime=0.506734; _readIndexFilesStartMaxResidentSetSize=323760; _readIndexFilesStartMinorPageFaults=102444; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155998
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.07; _readIndexFilesEndUserTime=4.528409; _readIndexFilesEndSystemTime=0.5528569999999999; _readIndexFilesEndMaxResidentSetSize=382432; _readIndexFilesEndMinorPageFaults=117468; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155999
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2039360 kB, VmSize: 2039104 kB, VmRSS: 383496 kB, VmData: 467296 kB, Mmaps: 2928, Mmaps: 2039104 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2039760 kB, VmSize: 2039504 kB, VmRSS: 387868 kB, VmData: 467696 kB, Mmaps: 2928, Mmaps: 2039504 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2039760 kB, VmSize: 2015504 kB, VmRSS: 382744 kB, VmData: 467696 kB, Mmaps: 1722, Mmaps: 2015504 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0093950000000005
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+39/meas_extensions_astrometryNet-master-g43362ee2f3+39/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.18; loadPixelBoxStartUserTime=4.613275; loadPixelBoxStartSystemTime=0.5708799999999999; loadPixelBoxStartMaxResidentSetSize=388000; loadPixelBoxStartMinorPageFaults=118906; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=96; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=300; loadPixelBoxStartInvoluntaryContextSwitches=155999
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.18; loadSkyCircleStartUserTime=4.61398; loadSkyCircleStartSystemTime=0.5708799999999999; loadSkyCircleStartMaxResidentSetSize=388000; loadSkyCircleStartMinorPageFaults=118906; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=96; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=300; loadSkyCircleStartInvoluntaryContextSwitches=155999
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.18; _readIndexFilesStartUserTime=4.614282; _readIndexFilesStartSystemTime=0.5708799999999999; _readIndexFilesStartMaxResidentSetSize=388000; _readIndexFilesStartMinorPageFaults=118906; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=96; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=300; _readIndexFilesStartInvoluntaryContextSwitches=155999
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.18; _readIndexFilesEndUserTime=4.614441; _readIndexFilesEndSystemTime=0.5709; _readIndexFilesEndMaxResidentSetSize=388000; _readIndexFilesEndMinorPageFaults=118906; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=96; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=300; _readIndexFilesEndInvoluntaryContextSwitches=155999
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.29; loadSkyCircleEndUserTime=4.724252; loadSkyCircleEndSystemTime=0.576839; loadSkyCircleEndMaxResidentSetSize=388000; loadSkyCircleEndMinorPageFaults=122204; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=96; loadSkyCircleEndBlockOutputs=168; loadSkyCircleEndVoluntaryContextSwitches=300; loadSkyCircleEndInvoluntaryContextSwitches=155999
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.31; loadPixelBoxEndUserTime=4.744209; loadPixelBoxEndSystemTime=0.576839; loadPixelBoxEndMaxResidentSetSize=388000; loadPixelBoxEndMinorPageFaults=122204; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=96; loadPixelBoxEndBlockOutputs=168; loadPixelBoxEndVoluntaryContextSwitches=300; loadPixelBoxEndInvoluntaryContextSwitches=155999
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.565s

OK
Mem0: Memory usage:
max rss: [0.32376, 'MB'] MB
VmPeak 1957036 kB
VmSize 1956492 kB
VmRSS 323648 kB
VmData 408684 kB
VmStk 168 kB
Number of mmaps: 1721
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.382432, 'MB'] MB
VmPeak 2038180 kB
VmSize 2038180 kB
VmRSS 382432 kB
VmData 466372 kB
VmStk 168 kB
Number of mmaps: 2927
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.388, 'MB'] MB
VmPeak 2039760 kB
VmSize 2015504 kB
VmRSS 382744 kB
VmData 467696 kB
VmStk 168 kB
Number of mmaps: 1722
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.388, 'MB'] MB
VmPeak 2039760 kB
VmSize 2015504 kB
VmRSS 382744 kB
VmData 467696 kB
VmStk 168 kB
Number of mmaps: 1722
None
FD3: 5
